Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.authmsg
Class ServerExchange

    java.lang.Object
      com.rsa.authagent.authapi.authmsg.ServerExchange

    public class ServerExchange

extends java.lang.Object

Constructor Summary
`ServerExchange(RealmData realmData)`

Method Summary
`void` | `close()` Disconnects and closes the DatagramSocket.
`AcmServerInfo` | `getLastGoodServer()`
`RealmData` | `getRealmData()`
`AceResponse` | `getResponse(AceRequest authRequest)`
`AcmServerInfo` | `getServer()`
`void` | `sendRequest(AceRequest authRequest, AcmServerInfo server, java.net.InetAddress adress)`
`void` | `sendRequest(AceRequest authRequest, int iMaxRetries)`
`void` | `sendRequest(AceRequest authRequest, int iMaxRetries, AcmServerInfo server)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerExchange

    public ServerExchange(RealmData realmData)
                   throws AceException

Throws:
  `AceException`

Method Detail

### sendRequest

    public void sendRequest(AceRequest authRequest,
                            int iMaxRetries)
                     throws AceException

  Throws:
    `AceException`

### sendRequest

    public void sendRequest(AceRequest authRequest,
                            int iMaxRetries,
                            AcmServerInfo server)
                     throws AceException

  Throws:
    `AceException`

### sendRequest

    public void sendRequest(AceRequest authRequest,
                            AcmServerInfo server,
                            java.net.InetAddress adress)
                     throws AceException

  Throws:
    `AceException`

### getResponse

    public AceResponse getResponse(AceRequest authRequest)
                            throws AceException

  Throws:
    `AceException`

### close

    public void close()

  Disconnects and closes the DatagramSocket. TODO: If using a pool, just disconnect.

### getRealmData

    public RealmData getRealmData()

  Returns:
    Returns the realmData.

### getLastGoodServer

    public AcmServerInfo getLastGoodServer()

  Returns:
    Returns the lastGoodServer.

### getServer

    public AcmServerInfo getServer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.